Package svnmailer :: Module typedstruct :: Class Struct

[hide private]

# Class Struct

source code

    object --+
             |
            Struct

Known Subclasses:
  - settings.GeneralSettingsContainer
  - , settings.GroupSettingsContainer
  - , settings.RuntimeSettingsContainer

General structure stub

Instance Methods | [hide private]

__del__(self) Removes all references from private container | source code

__init__(self, _maps_=None, _arg_=None, **kwargs) Stub Initialization | source code

`str`

__repr__(self) Representation for debugging purposes | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods | [hide private]

    a new object with type S, a subtype of T

__new__(cls, _maps_=None, _arg_=None, **kwargs) Object creation | source code

Class Variables | [hide private]

| _members_ = `None` hash(x)
| _set_ = `None` hash(x)

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, _maps_=None, _arg_=None, **kwargs)
(Constructor)

source code

Stub Initialization

Parameters:
  - `_maps_` (`dict`) - unused, but consistent to __new__
  - `_arg_` (any) - unused, but consistent to __new__
Overrides: object.__init__

### __new__(cls, _maps_=None, _arg_=None, **kwargs)
Static Method

source code

Object creation

Parameters:
  - `_maps_` (`dict`) - The maps to use
  - `_arg_` (any) - The opaque argument for custom descriptors
Returns:

    a new object with type S, a subtype of T

Overrides: object.__new__

### __repr__(self)
(Representation operator)

source code

Representation for debugging purposes

Returns: `str`
  A pythonic representation of the struct
Overrides: object.__repr__